package org.jeecg.modules.bytedance.advertise.service;

import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.bytedance.advertise.entity.ByteDanceVideoInfo;

import java.util.List;

/**
 * @Description: 今日头条视频素材信息
 * @Author: jeecg-boot
 * @Date: 2019-07-29
 * @Version: V1.0
 */
public interface IByteDanceVideoInfoService extends IService<ByteDanceVideoInfo> {

    void replaceBatch(List<ByteDanceVideoInfo> videoInfoList);

    ByteDanceVideoInfo getOneByParams(Long materialId);

    void updateMaterialType();

    List<ByteDanceVideoInfo> listByParams(Long projectId,Long accountId, String imageMode,String startTime, String endTime, Long videoCnt,long creativeCnt);

    List<ByteDanceVideoInfo> topMatByParams(Long projectId, Long accountId, String imageMode,String startTime, String endTime, Long videoCnt);

    List<ByteDanceVideoInfo> historyMatByParams(Long projectId, Long accountId, String imageMode,String startTime, String endTime, Long videoCnt);


    /**
     * 图片 上新 遗漏
     */
    List<ByteDanceVideoInfo> imageListByParams(Long projectId,Long accountId, String imageMode,String startTime, String endTime, Long videoCnt,long creativeCnt);

    /**
     * 图片 跑量
     */
    List<ByteDanceVideoInfo> imageTopMatByParams(Long projectId, Long accountId, String imageMode,String startTime, String endTime, Long videoCnt);

    /**
     * 图片 打捞
     */
    List<ByteDanceVideoInfo> imageHistoryMatByParams(Long projectId, Long accountId,String imageMode, String startTime, String endTime, Long videoCnt);







}
